---
lang: en
title: 'API docs: rest-explorer.restexplorercomponent._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest-explorer
permalink: /doc/en/lb4/apidocs.rest-explorer.restexplorercomponent._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-explorer](./rest-explorer.md) &gt; [RestExplorerComponent](./rest-explorer.restexplorercomponent.md) &gt; [(constructor)](./rest-explorer.restexplorercomponent._constructor_.md)

## RestExplorerComponent.(constructor)

Constructs a new instance of the `RestExplorerComponent` class

**Signature:**

```typescript
constructor(application: RestApplication, restExplorerConfig?: RestExplorerConfig);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

application


</td><td>

[RestApplication](./rest.restapplication.md)


</td><td>


</td></tr>
<tr><td>

restExplorerConfig


</td><td>

[RestExplorerConfig](./rest-explorer.restexplorerconfig.md)


</td><td>

_(Optional)_


</td></tr>
</tbody></table>


